Subject: Re: [bug#29820] [PATCH] services: cgit: Add more configuration fields.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 27 Feb 2018 18:25:19 +0100

Clément Lassieur <[email-masked]> skribis:

> Oleg Pykhalov <[email-masked]> writes:
>
>> OK.  Also I see in cgit README [1], they use “cgit” even in titles.
>>
>> On the other hand it feels wrong to me, because it's a name of the
>> program, like Guile, Guix, Linux or Emacs.  It might be better to stick
>> to that convention for readability (e.g. not ‘cgit’ as a command or a
>> file name, but as a project name “Cgit”).  And because of we rename even
>> configuration options like ‘scan-path’, it's OK to force the
>> capitalization also.  WDYT?
>
> Our convention is to follow upstream convention.  Guile, Linux, Emacs
> are all capitalized upsteam, which is why they are capitalized in Guix
> documentation.  It's up to the upstream project to choose.
>
> Plus, cgit seems to pay a lot of attention to it.  See, the title is:
>     cgit - CGI for Git
> And then:
>     Building cgit involves building a proper version of Git.
>
> Clearly they acknowledge that Git is capitalized (because upstream
> decided so), but cgit is not.
>
> So I think we should not capitalize it :-)

Agreed.  (Though again we should not lose our hair over it.  :-))

Ludo’.